import { EPaymentState } from "./types";
import { EthereumAddress } from "./EthereumAddress";
import { PaymentInternalDetails } from "./PaymentInternalDetails";
import { PublicIdentifier } from "./PublicIdentifier";
import { BigNumber } from "ethers";
export declare abstract class Payment {
    id: string;
    to: PublicIdentifier;
    from: PublicIdentifier;
    state: EPaymentState;
    paymentToken: EthereumAddress;
    requiredStake: BigNumber;
    amountStaked: BigNumber;
    expirationDate: number;
    createdTimestamp: number;
    updatedTimestamp: number;
    collateralRecovered: BigNumber;
    merchantUrl: string;
    details: PaymentInternalDetails;
    constructor(id: string, to: PublicIdentifier, from: PublicIdentifier, state: EPaymentState, paymentToken: EthereumAddress, requiredStake: BigNumber, amountStaked: BigNumber, expirationDate: number, createdTimestamp: number, updatedTimestamp: number, collateralRecovered: BigNumber, merchantUrl: string, details: PaymentInternalDetails);
}
//# sourceMappingURL=Payment.d.ts.map